<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */

$routes->get('/', 'Home::index');
$routes->post('user-login', 'Login::user_login');
$routes->add('logout', 'Login::logout');
$routes->get('dashboard', 'Dashboard::index');


$routes->get('master', 'Home::master');
$routes->get('form', 'Home::application_form');
$routes->get('fees', 'Home::feestructure');
$routes->get('fees-collection', 'Home::fee_collection');
$routes->get('student-list', 'Home::student_list');
$routes->get('fee-reoprt', 'Home::fee_reoprt');
$routes->get('student-report', 'Home::student_report');
$routes->get('add-expence', 'Home::add_expence');
$routes->get('expence-list', 'Home::expence_list');
$routes->get('add-batch', 'Home::add_batch');
$routes->get('report-page', 'Home::report_page');




// --------------------------Leads--------------------------------------//
$routes->get('leads-report-view', 'Leadsreport');
$routes->post('leads-report', 'Leadsreport::leads_report');

// $routes->get('leads','Dashboard::leads');
$routes->get('leads','Lead::leads');
$routes->get('lead-form','Lead::lead_form');
$routes->get('fetch_leads','Lead::fetchLeads');
$routes->add('submitForm','Lead::submit');
$routes->get('Lead_edit/(:num)', 'Lead::Lead_edit/$1');
$routes->add('Edit_Form', 'Lead::Edit_Form');
$routes->get('get_lead_details', 'Lead::get_lead_details');
$routes->add('updateLead', 'Lead::updateLead');
$routes->add('delete_lead/(:num)', 'Lead::delete_lead/$1');

$routes->get('fetch_leads', 'Lead::fetchLeads');
$routes->get('lead-details', 'Lead::getLeadDetails');
$routes->add('convert_students','Lead::convert_students');
//----------------------------Follow Up------------------------------------//
$routes->get('followUp_form','Lead::followUp_form');
$routes->add('followup_submit', 'Lead::followup_submit');
$routes->get('fetch_follow','Lead::fetchFollow');
$routes->add('Edit_Follow', 'Lead::Edit_Follow');
// $routes->add('update_follow', 'Home::update_follow');
$routes->get('get_followup', 'Lead::getFollowUp'); 


$routes->add('update_follow_up', 'Lead::update_follow_up');
// $routes->post('update_followup', 'Lead::update_followup');
$routes->add('updateFollowup','Lead::updateFollowup');


$routes->post('delete_followup', 'Lead::delete_followup');
$routes->add('fetch_followup', 'Lead::fetchFollowUpData'); 
// ---------------------header and value routes------------------//
$routes->post('header-form','Header::header_form');
$routes->post('value-form','Header::value_form');
$routes->post('header-delete','Header::header_delete');
$routes->post('value-delete','Header::value_delete');
$routes->post('update-header','Header::update_header');
$routes->post('update-value','Header::update_value');
$routes->get('header-value','Header::header_value');
$routes->get('header-data','Header::header_data');
$routes->post('expense-form','Header::expense_form');
$routes->get('expense-data','Header::expense_data');
$routes->post('update-expense','Header::update_expense');
$routes->post('expense-delete','Header::expense_delete');


//-----------------------fee structure-----------------------//
$routes->get('get-header','Feestructure::index');
$routes->get('get-value','Feestructure::get_value');
$routes->post('add-fee','Feestructure::add_fee');
$routes->get('fees-data','Feestructure::fees_data');
$routes->post('fee-delete','Feestructure::fee_delete');
$routes->post('update-fees','Feestructure::update_fees');

// ------------student application and student list-------------//
$routes->get('get-fees','Student::get_fees');
$routes->post('application-form','Student::application_form');
$routes->post('application-form-update','Student::application_form_update');
$routes->post('test-mail','Student::sendmail');

// -----------------student list--------------//
$routes->get('student-list-data','Student::student_list_data');
$routes->post('student-delete','Student::student_delete');
$routes->get('student-edit','Student::student_edit');
$routes->post('student-details','Student::student_details');
$routes->post('import-from-excel','Student::student_from_excel');
//------------------student report------------//
$routes->post('student-report-main','Student::student_report_main');
//------------------fee collection------------//
$routes->post('student-details-admission','Feecollection::student_details_admission');
$routes->get('fees-collection-individual','Feecollection::fees_collection_individual');
$routes->post('add-fees','Feecollection::add_fees');
$routes->get('receipt','Feecollection::receipt');
//------------------fee report------------//
$routes->post('fees-report-main','Feecollection::fees_report_main');
$routes->post('fees-report-main','Feecollection::fees_report_main');
// ------------------Expense-------------------//
$routes->get('add-expense-value','Expense::add_expense_value');
$routes->post('add-expense','Expense::add_expense');
$routes->post('update-expense-data','Expense::update_expense_data');
$routes->post('expense-list-data','Expense::expense_list_data');
$routes->post('expense-delete','Expense::expense_delete');
$routes->get('expense-edit','Expense::expense_edit');
// ------------------batches--------------------//
$routes->post('add-batch-form','Batches::add_batch_form');
$routes->get('batches-list','Batches::batches_list');
$routes->get('add-student-batch', 'Batches::add_student_batch');
$routes->get('remove-student-batch', 'Batches::remove_student_batch');
$routes->post('students-for-batch', 'Batches::students_for_batch');
$routes->get('student-list-data-batch','Batches::student_list_data_batch');
$routes->get('students-from-batch','Batches::students_from_batch');
$routes->post('remove-from-batch','Batches::remove_from_batch');
$routes->POST('batch-details','Batches::batch_details');
$routes->get('edit-batch', 'Batches::edit_batch');
$routes->get('get-trainer', 'Batches::trainer_data');
$routes->post('update-batch-form', 'Batches::update_batch_form');

//---------------time table----------------------------//
$routes->get('add-timetable','Timetable::index');
$routes->get('get-batch','Timetable::get_batch');
$routes->get('get-batch-edit','Timetable::get_batch_edit');
$routes->get('list-timetable','Timetable::list_timetable');
$routes->post('timetable-form','Timetable::timetable_form');
$routes->post('timetable-update-form','Timetable::timetable_update_form');
$routes->get('timetable-data','Timetable::timetable_data');
$routes->get('edit-timetable','Timetable::edit_timetable');
$routes->post('timetable-delete','Timetable::timetable_delete');
//------------------add asset----------------------//
$routes->get('add-asset','Asset::index');
$routes->get('asset-list','Asset::asset_list');
$routes->get('asset-edit','Asset::asset_edit');
$routes->get('asset-list-data','Asset::asset_list_data');
$routes->post('add-asset-form','Asset::add_asset_form');
$routes->post('update-asset-form','Asset::update_asset_form');
$routes->post('asset-delete','Asset::asset_delete');







// ------------employee application and student list-------------//

$routes->add('employee-application-form', 'Employee_detaills::employee_application_form');


// ---------------------Employee Details----------------------------
$routes->add('Add-employee', 'Employee_detaills::add_employee');
$routes->add('employee-list','Employee_detaills::employee_list');
$routes->get('fetch-emp-list', 'Employee_detaills::fetch_emp_list');
$routes->add('delete-employee', 'Employee_detaills::deleteEmployee');
$routes->get('edit_emp_list', 'Employee_detaills::editEmpList'); 
$routes->post('employee/update', 'Employee_detaills::update');
$routes->add('update_employee', 'Employee_detaills::updateEmployee');
$routes->get('get_Employee_Details','Employee_detaills::getEmployeeDetails');
$routes->get('employee-data/(:num)', 'Employee_detaills::getEmployeeData/$1');
// $routes->get('work-experience', 'Employee_detaills::get_Work_Experience');
$routes->get('get-latest-employee-id', 'Employee_detaills::get_latest_employee_id');


// ------------------FollowUp Report------------------
$routes->get('get-followup-report', 'Lead::getFollowUpReport'); 
$routes->get('followup-date', 'Leadsreport::followup_date');
$routes->get('followup-report', 'Leadsreport::followup_report');



// -----------------------STudent Attendence-----------------

$routes->get('mark-attendance','StudentAttendance');
$routes->get('view-attendance','StudentAttendance::view_attendance');
$routes->post('marked-attendance', 'StudentAttendance::store');
$routes->get('fetch-students', 'StudentAttendance::fetchStudentList');
$routes->post('save-attendance', 'StudentAttendance::saveAttendance');

$routes->add('fetch-attendance', 'StudentAttendance::fetchAttendance');
$routes->get('view-attendance-list', 'StudentAttendance::viewAttendanceList');
$routes->post('viewed-attendance', 'StudentAttendance::records');
$routes->get('fetch-lastDays-attendance', 'StudentAttendance::fetchLastDaysAttendance');
$routes->get('fetch-oneMonth-attendance', 'StudentAttendance::fetchOneMonthAttendance');